Отказ в обслуживании в GNU tar и cpio

Дата публикации:
05.12.2007
Дата изменения:
31.01.2009
Всего просмотров:
1046
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
GNU Tar 1.x
GNU Cpio 2.x
Уязвимые версии:
GNU cpio 2.6 и более ранние версии
GNU tar 1.15.91 и более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании приложения.

Уязвимость существует из-за ошибки проверки границ данных в функции safer_name_suffix(). Удаленный пользователь может с помощью специально сформированного архива вызвать отказ в обслуживании приложения.

Решение: Установите последнюю версию с сайта производителя.

Ссылки: CounterPath X-Lite 3.x SIP phone Remote Denial of Service Exploit
[ MDKSA-2007:233 ] - Updated cpio package fixes buffer overflow and directory traversal vulnerabilities
[ GLSA 200711-18 ] Cpio: Buffer overflow

или введите имя

CAPTCHA